# verbosity level
# 0 = mostly silence
# 1 = debug prints and unknown packets
# 2 = print all packets except LIVE_CHECK and movement
# 3 = print all packets
verbosity=1

# Login Server configuration
[login]
# must be kept in sync with loginInfo.php
port=23000
# will all custom names be approved instantly?
acceptallcustomnames=true
# how often should everything be flushed to the database?
# the default is 4 minutes
dbsaveinterval=240

# Shard Server configuration
[shard]
port=23001
ip=127.0.0.1
# distance at which other players and NPCs become visible.
# this value is used for calculating chunk size
viewdistance=16000
# time, in milliseconds, to wait before kicking a non-responsive client
# default is 1 minute
timeout=60000
# should mobs move around and fight back?
# can be disabled for easier mob placement
simulatemobs=true
# little message players see when they enter the game
motd=Welcome to OpenFusion!

# The following are the default locations of the JSON files the server
# requires to run. You can override them by changing their values and
# uncommenting them (removing the leading # character from that line).

# xdt json data
#xdtdata=tdata/xdt.json
# NPC json data
#npcdata=tdata/NPCs.json
# mob json
#mobdata=tdata/mobs.json
# path json
#pathdata=tdata/paths.json
# drop json
#dropdata=tdata/drops.json
# gruntwork output (this is what you submit)
#gruntwork=tdata/gruntwork.json
# location of the database
#dbpath=database.db
# location of the patch folder
#patchpath=tdata/patch

# should tutorial flags be disabled off the bat?
disablefirstuseflag=true

# account permission level that will be set upon character creation
# 1 = default, will allow *all* commands
# 30 = allow some more "abusable" commands such as /summon
# 50 = only allow cheat commands, like /itemN and /speed
# 99 = standard user account, no cheats allowed
# any number higher than 50 will disable commands
accountlevel=1

# should mobs drop event crates?
# 0 = no event
# 1 = Knishmas
# 2 = Halloween
# 3 = Easter
eventmode=0

# you can override the default spawn point.
# these example coords are for the Future (Z is height):
#spawnx=632032
#spawny=187177
#spawnz=-5500

# Player location monitor interface configuration
[monitor]
enabled=false
# the port to listen for connections on
port=8003
# how often the listeners should be updated (in milliseconds)
interval=5000
